Categories:
  - Graphics
  - Multimedia
License: Apache-2.0
AuthorEmail: oleg@radiokot.com.ua
AuthorWebSite: https://radiokot.com.ua/
SourceCode: https://github.com/Radiokot/photoprism-android-client
IssueTracker: https://github.com/Radiokot/photoprism-android-client/issues
Changelog: https://github.com/Radiokot/photoprism-android-client/releases
Donate: https://radiokot.com.ua/tip
Bitcoin: bc1qx7nja8gaykyd4encua90wnz8rygt572ddgnzmg

AutoName: PhotoPrism Gallery

RepoType: git
Repo: https://github.com/Radiokot/photoprism-android-client.git
Binaries: https://github.com/Radiokot/photoprism-android-client/releases/download/%v(%c)/ua.com.radiokot.photoprism-%v.apk

Builds:
  - versionName: 1.3.0
    versionCode: 6
    commit: c4aa093c606a29834d1d784f006d1a1872012290
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.4.0
    versionCode: 7
    commit: be954f34e05aea1b78b53a81dfc3b6e7e44226de
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.5.0
    versionCode: 8
    commit: accb74b78cf6746af14f0d9d11d0a1c148f49357
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.5.1
    versionCode: 9
    commit: c5e3d1d9c3d68c663e7b1a573ebf6d2d91875eef
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.5.2
    versionCode: 11
    disable: fails to rb
    commit: 81489d5abf6f66549c224abd8fc3193d1daee6fb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.6.0
    versionCode: 12
    disable: fails to rb
    commit: 5caacc5ccb5c12948600dd7c9b83ebd54a69a914
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.7.0
    versionCode: 13
    commit: 7c51261c6aaafd08e8d725ede801feeafa5f50de
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.7.1
    versionCode: 14
    commit: c952075c083f255d6cc5895026cb06a1def1a270
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.8.0
    versionCode: 15
    commit: 1bbabd35146ece90c701a188a5016fe076bb0d34
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.8.1
    versionCode: 16
    commit: 41a8a958943102dd496fa45924f68b70d2aa9333
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.9.0
    versionCode: 17
    commit: 22e52724f71217cc19aacc854624e06834ea06dd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.10.0
    versionCode: 18
    commit: 6d8b10783c93b166da60863ca040a681726ffb41
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.11.0
    versionCode: 19
    commit: 4a887b9403ece6aefd1f039d925deae71d4c5045
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.12.0
    versionCode: 20
    commit: 97b659c553b25b4bdc59a1e245229f61f0667db2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.13.0
    versionCode: 21
    commit: d7660e971d9731e174b56290c2be39836e7fd7e3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.14.0
    versionCode: 22
    commit: b50aa5ca59f2e4f3d5848e95453af82004ea983e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.15.0
    versionCode: 23
    commit: 57b8745f17a9cea9f18f3cf1c78bd1d10f5dab28
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.15.1
    versionCode: 24
    commit: 477b4d36135e3f3405109f8aa1118fe5c755c592
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.16.0
    versionCode: 25
    commit: 35cfe4e9ff2c9a91ce8067e2c4231a57fe9e7f51
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

  - versionName: 1.16.1
    versionCode: 26
    commit: b5850d905520ea6a897820e511b9e83b241fa899
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
        'assets/app.properties'

AllowedAPKSigningKeys: e7da1b20559ba52c615cfddeb770e59db792718637678ae635e357a472455d0a

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.16.1
CurrentVersionCode: 26
